<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PerizinanLingkunganRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'ILNomor' => 'nullable|string',
            'ILTanggal' => 'nullable|date',
            'JenisKegiatanId' => 'nullable|exists:JenisKegiatan,JenisKegiatanId',
            'ILDokumen' => 'nullable|file|mimes:pdf|max:20480',
        ];
    }
}
