<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Kelurahan extends Model
{
    protected $table = 'Kelurahan';
    protected $primaryKey = 'KelurahanId';
    public $incrementing = false;
    protected $keyType = 'string';
    protected $fillable = ['KelurahanId', 'KecamatanId', 'NamaKelurahan'];

    public function kecamatan()
    {
        return $this->belongsTo(Kecamatan::class, 'KecamatanId', 'KecamatanId');
    }
}
