import React from "react";
import { Head, Link } from "@inertiajs/react";
import "../../css/app.css";

const NotFound = () => {
    return (
        <>
            <Head title="Not Found" />
            <div className="flex flex-col items-center justify-center h-screen bg-gray-100 dark:bg-gray-900 text-gray-800 dark:text-white">
                <h1 className="text-6xl font-bold">404</h1>
                <p className="text-lg mt-4">
                    Oops! Halaman yang kamu cari tidak ditemukan.
                </p>
                <Link
                    href="/"
                    className="mt-6 px-4 py-2 bg-green-600 text-white rounded-lg hover:bg-green-700 transition"
                >
                    Kembali ke Beranda
                </Link>
            </div>
        </>
    );
};

export default NotFound;
