import React from "react";
import Navbar from "@/components/Partials/Navbar";
import Footer from "@/components/Partials/Footer";
import HeroSecond from "@/components/Card/HeroSecond";
import CardPengumuman from "@/components/Card/CardPengumuman";
import { Head } from "@inertiajs/react";
import { usePage } from "@inertiajs/react";
import Guest from "@/layouts/guest-layout";

export default function Pengumuman() {
    const { posts } = usePage().props as any;

    return (
        <>
            <Guest>
                <Head title="Pengumuman" />
                <Navbar />
                <HeroSecond title="Pengumuman" />
                <CardPengumuman posts={posts} />
                <Footer />
            </Guest>
        </>
    );
}
