import React from "react";
import DetailArtikel from "@/components/DetailArtikel/DetailArtikel";
import { DetailArtikelProps } from "@/components/DetailArtikel/types";
import { Head } from "@inertiajs/react";
import Navbar from "@/components/Partials/Navbar";
import Footer from "@/components/Partials/Footer";

export default function UndanganDetail({
    article,
    relatedArticles,
}: DetailArtikelProps) {
    return (
        <>
            <Head title="Undangan" />
            <Navbar />
            <DetailArtikel
                article={article}
                relatedArticles={relatedArticles}
            />
            <Footer />
        </>
    );
}
