// import { combineReducers, configureStore } from "@reduxjs/toolkit";
// import themeConfigSlice from "./themeConfigSlice";

// const rootReducer = combineReducers({
//     themeConfig: themeConfigSlice,
// });

// export default configureStore({
//     reducer: rootReducer,
// });

// export type IRootState = ReturnType<typeof rootReducer>;

import { combineReducers, configureStore } from "@reduxjs/toolkit";
import themeConfigSlice from "./themeConfigSlice";

const rootReducer = combineReducers({
    themeConfig: themeConfigSlice,
});

export const store = configureStore({
    reducer: rootReducer,
});

export type IRootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
