<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class HistoryKegiatan extends Model
{
    use HasFactory; use SoftDeletes;

    protected $table = 'HistoryKegiatan';

    protected $dates = ['deleted_at'];

    protected $primaryKey = 'HistoryKegiatanId';

    protected $fillable = [
        'HistoryKegiatanId',
        'NamaHistoryKegiatan',
        'IsPublish',
    ];
}
