<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class JenisKegiatan extends Model
{
    use HasFactory; use SoftDeletes;

    protected $table = 'JenisKegiatan';

    protected $dates = ['deleted_at'];

    protected $primaryKey = 'JenisKegiatanId';

    protected $fillable = [
        'NamaJenisKegiatan',
        'IsPublish',
    ];

    public function Perusahaan()
    {
        return $this->hasMany(Perusahaan::class, 'JenisKegiatanId');
    }

}
