<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title inertia>{{ config('app.name', 'Dinas Lingkungan Hidup Provinsi DKI Jakarta') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Inter+Tight:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">

        <!-- Styles Dashboard -->

        {{-- <link rel="stylesheet" href="assets/css/remixicon.css">
        <!-- BootStrap css -->
        <link rel="stylesheet" href="assets/css/lib/bootstrap.min.css">
        <!-- Apex Chart css -->
        <link rel="stylesheet" href="assets/css/lib/apexcharts.css">
        <!-- Data Table css -->
        <link rel="stylesheet" href="assets/css/lib/dataTables.min.css">
        <!-- Text Editor css -->
        <link rel="stylesheet" href="assets/css/lib/editor-katex.min.css">
        <link rel="stylesheet" href="assets/css/lib/editor.atom-one-dark.min.css">
        <link rel="stylesheet" href="assets/css/lib/editor.quill.snow.css">
        <!-- Date picker css -->
        <link rel="stylesheet" href="assets/css/lib/flatpickr.min.css">
        <!-- Calendar css -->
        <link rel="stylesheet" href="assets/css/lib/full-calendar.css">
        <!-- Vector Map css -->
        <link rel="stylesheet" href="assets/css/lib/jquery-jvectormap-2.0.5.css">
        <!-- Popup css -->
        <link rel="stylesheet" href="assets/css/lib/magnific-popup.css">
        <!-- Slick Slider css -->
        <link rel="stylesheet" href="assets/css/lib/slick.css">
        <!-- prism css -->
        <link rel="stylesheet" href="assets/css/lib/prism.css">
        <!-- file upload css -->
        <link rel="stylesheet" href="assets/css/lib/file-upload.css">

        <link rel="stylesheet" href="assets/css/lib/audioplayer.css">
        <link rel="stylesheet" href="assets/css/lib/animate.min.css">
        <!-- main css -->
        <link rel="stylesheet" href="assets/css/style.css">
        <link rel="stylesheet" href="assets/css/extra.css"> --}}

        <!-- Scripts -->
        @routes
        @viteReactRefresh
        @vite(['resources/js/app.tsx', "resources/js/pages/{$page['component']}.tsx"])
        @inertiaHead
    </head>
    <body class="font-sans antialiased">
        @inertia
    </body>
</html>
